Ask Your Question
1

Install fail on centos 6.5 using rdo howto

asked 2014-09-26 08:10:17 -0500

jmazaredo gravatar image

I'm new to this one and just tried to follow https://openstack.redhat.com/Quickstart using centos 6.5 minimal. All is good but when i do the "packstack --allinone" I get the error below:

Adding Nagios server manifest entries [ DONE ] Adding Nagios host manifest entries [ DONE ] Adding post install manifest entries
[ DONE ] Installing Dependencies
[ DONE ] Copying Puppet modules and manifests [ DONE ] Applying xx.xx.xx.xx_prescript.pp xx.xx.xx.xx_prescript.pp:
[ DONE ] Applying xx.xx.xx.xx_amqp.pp Applying xx.xx.xx.xx_mysql.pp xx.xx.xx.xx_amqp.pp:
[ DONE ] xx.xx.xx.xx_mysql.pp:
[ ERROR ] Applying Puppet manifests [ ERROR ]

ERROR : Error appeared during Puppet run: xx.xx.xx.xx_mysql.pp Package mariadb-galera-server has not been found in enabled Yum repos. You will find full trace in log /var/tmp/packstack/20140926-074324-6Mk7Fg/manifests/xx.xx.xx.xx_mysql.pp.log Please check log file /var/tmp/packstack/20140926-074324-6Mk7Fg/openstack-setup.log for more information

I tried manually installin mariadb

No package mariadb-galera-server available. * Maybe you meant: MariaDB-Galera-server Error: Nothing to do

Typo uppercase lower case error inside the installer?

edit retag flag offensive close merge delete

Comments

What is the output of yum repolist on your system?

larsks gravatar imagelarsks ( 2014-09-26 08:24:05 -0500 )edit

Here's the repo list http://paste.openstack.org/show/115607/ (btw i manually added the mariadb repo to test still not working)

jmazaredo gravatar imagejmazaredo ( 2014-09-26 08:50:31 -0500 )edit

View https://repos.fedorapeople.org/repos/...
mariadb-galera-server-5.5.36-9.el6.x86_64.rpm 25-Apr-2014 09:59 13M

dbaxps gravatar imagedbaxps ( 2014-09-26 10:09:41 -0500 )edit

After EPEL 6 setup switch to $baseurl from $mirrorlist inside *.repo file to get access to original repo instead of your mirror ( known bug with some CentOS mirrors)

dbaxps gravatar imagedbaxps ( 2014-09-26 10:26:55 -0500 )edit

It is still looking for the Maria not maria. I tried some test removing all repo and just using one repo that has mariadb still it looks for the Maria http://paste.openstack.org/show/116517/

jmazaredo gravatar imagejmazaredo ( 2014-09-28 23:06:02 -0500 )edit

2 answers

Sort by ยป oldest newest most voted
1

answered 2014-09-26 09:55:21 -0500

dbaxps gravatar image

updated 2014-09-26 09:56:33 -0500

Activate EPEL 6 before running packstack:-
# wget http://dl.fedoraproject.org/pub/epel/...
# wget http://rpms.famillecollet.com/enterpr...
# rpm -Uvh remi-release-6.rpm epel-release-6.rpm

edit flag offensive delete link more

Comments

http://paste.openstack.org/show/116517/ still looking for Maria not maria tried some test

jmazaredo gravatar imagejmazaredo ( 2014-09-28 23:07:22 -0500 )edit
0

answered 2014-09-26 10:48:01 -0500

larsks gravatar image

updated 2014-09-29 08:18:43 -0500

The Quickstart documentation includes a link to the RDO repository info. For CentOS 6.5, it says:

  • The RDO repositories for Enterprise Linux distributions in turn depend on EPEL
  • The packstack version in the RDO repositories will auto enable EPEL

Note that the latter may only be true if you have:

CONFIG_USE_EPEL=y

In your packstack answers file (or pass --use-epel=y on the command line). With this config in place, packstack should automatically add and enable the EPEL repositories for you.

Update

The error above indicates that packstack is looking for the mariadb-galera-server package. If I start with a plain CentOS 6.5 install with EPEL, that packages is not found:

# yum install mariadb-galera-server
[...]
No package mariadb-galera-server available.

But if I install the RDO repository:

# yum install -y https://rdo.fedorapeople.org/rdo-release.rpm

And try again:

# yum install mariadb-galera-server
Dependencies Resolved

================================================================================
 Package                 Arch     Version            Repository            Size
================================================================================
Installing:
 mariadb-galera-server   x86_64   5.5.36-9.el6       openstack-icehouse    13 M
Installing for dependencies:
 [...]

Transaction Summary
================================================================================
Install      16 Package(s)

Total download size: 28 M
Installed size: 105 M
Is this ok [y/N]:

...it all works. Note that there is no "mariadb" repository enabled here, either.

edit flag offensive delete link more

Comments

http://paste.openstack.org/show/116517/ still looking for Maria not maria tried some test

jmazaredo gravatar imagejmazaredo ( 2014-09-28 23:07:40 -0500 )edit

Your Answer

Please start posting anonymously - your entry will be published after you log in or create a new account.

Add Answer

Get to know Ask OpenStack

Resources for moderators

Question Tools

1 follower

Stats

Asked: 2014-09-26 08:10:17 -0500

Seen: 1,892 times

Last updated: Sep 29 '14